> [!IMPORTANT]
> Version **2.0** is being developed **right now**, so updates to the current version are on hold. All information can be found in our [Discord](https://discord.gg/flute)

<div align="center">
  
[<kbd><br>🌐 Русский README<br><br></kbd>](./README_RU.md)
[<kbd><br>🌐 English README<br><br></kbd>](./README.md)
[<kbd><br>🌐 Português README<br><br></kbd>](./README_BR.md)
</div>

<hr />
&nbsp;
<p align="center">
  <a href="https://flute-cms.com" target="_blank">
    <img src="https://github.com/Flute-CMS/cms/assets/62756604/af601b07-7ec6-45df-8a03-592d362a4a0c" alt="Flute" width="200px">
  </a>
</p>
&nbsp;

<br />
<br />
<p align="center">
  <a href="https://demo.flute-cms.com">🌍 Flute DEMO</a> •
    <a href="https://docs.flute-cms.com">📖 Docs</a> •
    <a href="https://discord.gg/BcBMeVJJsd">💬 Discord</a>
    <br /><br />
   <a href="https://github.com/Flute-CMS/cms/releases">
        <img src="https://img.shields.io/github/release/Flute-CMS/cms.svg" alt="Latest release" />
    </a>
  &nbsp;
  <a href="https://discord.gg/BcBMeVJJsd"><img alt="Discord" src="https://img.shields.io/discord/869991184968323092?label=Discord&color=7289da&style=flat-square" /></a>
  &nbsp;
</p>
&nbsp;

<hr />

<a href="https://demo.flute-cms.com">
  <img src="https://github.com/Flute-CMS/cms/assets/62756604/f117eb2a-2ecb-45cd-b2b8-c54ac98897d7" alt="Flute dashboard"/>

</a>
<p align="center">
  👀 Example of dashboard
</p>

<hr />
<b>Flute</b> is a comprehensive solution for CS2, CS:S, Minecraft, and other game servers. Distributed as Open Source, Flute allows you to install and use it on your host for free! 🎉

<hr />

<h3>🚀 Advantages over existing solutions:</h3>
<ul>
  <li>💯 Completely free. No hidden costs for deployment, etc.</li>
  <li>🏠 Host independence. Everything runs on your own server.</li>
  <li>🌟 Modern code. Say goodbye to PHP5 Legacy code!</li>
  <li>🛠️ Direct interface-based page creation and editing.</li>
  <li>📈 Fully extensible. Support for limitless modules and templates!</li>
  <li>🔗 Laravel-friendly. No steep learning curve if you're familiar with Laravel.</li>
  <li>🔧 Abundant features including various authorisation methods, settings, payment systems, and more to simplify Flute usage!</li>
</ul>

&nbsp;

# 💼 Requirements

To successfully install and run Flute, ensure your system meets the following requirements:
- PHP 7.4 or later.
- MySQL 5.7.29 or higher / MariaDB 10.2.7 or higher.
- Apache or Nginx web server.
- (Optionally) Composer for dependency management.

&nbsp;

# 🚀 Installation of Flute

### On a VDS (Virtual Dedicated Server):

1. Download Flute from [releases](https://github.com/Flute-CMS/cms/releases).
2. Upload the files to your server.
3. Use the command:
   ```
   composer install
   ```
   to install dependencies.
4. Configure your web server (Apache/Nginx) and the database.
&nbsp;
### On Shared Hosting:

> [!TIP]
> Watch the video tutorial for installation [here](https://www.youtube.com/watch?v=PCSjl2w7A9k)

1. Download Flute and the `vendor` folder from [releases](https://github.com/Flute-CMS/cms/releases).
2. Upload them to your hosting via FTP or the hosting provider's file manager.
3. Configure the web server on your hosting to point to the Flute folder.

![gif_install](https://github.com/Flute-CMS/cms/assets/62756604/62b8a0cb-c7ed-431b-981c-470304c1fbd8)

Both installations require setting up the database and configuring Flute.

&nbsp;

📚 Visit our [documentation](https://docs.flute-cms.com/docs/what_it) for detailed instructions on installation, customization, and module & template development.

&nbsp;

# 👨‍💻 Looking for Opportunities

If you need a skilled developer for your projects, reach out to me on (My stack is React / TS / Node / PHP / JS):
- Discord - <kbd>flamesina</kbd>
- [Telegram](https://t.me/flamesina)
  
&nbsp;

# 📦 Free Modules List

Discover our range of free modules available for Flute:
- [News module](https://github.com/Flute-CMS/news): Allows you to create news in the Flute
- [Monitoring](https://github.com/Flute-CMS/monitoring): Gets information about servers and displays it in a widget
- [Bans And Comms](https://github.com/Flute-CMS/BansComms): Displays the list of bans and mutes on a separate page
- [Carousel](https://github.com/Flute-CMS/carousel): Adds a carousel widget
- [Statistics](https://github.com/Flute-CMS/stats): Creates a separate page of statistics
- ...and more at our [repositories page](https://github.com/orgs/Flute-CMS/repositories).

These modules are designed to enhance your Flute experience and are available at no cost.

&nbsp;

# 🆘 Getting help

Need help with installation, customization, or development? Join our [Discord](https://discord.gg/BcBMeVJJsd) for assistance! Report bugs or issues on:
- [GitHub Issues](https://github.com/Flute-CMS/cms/issues)
- [Discord](https://discord.gg/BcBMeVJJsd)

&nbsp;

# ⭐ Like what you see? Give us a star!

![flute-gif](https://github.com/Flute-CMS/cms/assets/62756604/87d18227-41ac-4a7d-9210-d46b9fd56049)
