<div align="center">
  
[<kbd><br>🌐 Русский README<br><br></kbd>](./README_RU.md)
[<kbd><br>🌐 English README<br><br></kbd>](./README.md)
[<kbd><br>🌐 Português README<br><br></kbd>](./README_BR.md)
</div>

<hr />
&nbsp;
<p align="center">
  <a href="https://flute-cms.com" target="_blank">
    <img src="https://github.com/Flute-CMS/cms/assets/62756604/af601b07-7ec6-45df-8a03-592d362a4a0c" alt="Flute" width="200px">
  </a>
</p>
&nbsp;

<br />
<br />
<p align="center">
  <a href="https://demo.flute-cms.com">🌍 Flute Website</a> •
    <a href="https://docs.flute-cms.com">📖 Docs</a> •
    <a href="https://discord.gg/BcBMeVJJsd">💬 Discord</a>
    <br /><br />
   <a href="https://github.com/Flute-CMS/cms/releases">
        <img src="https://img.shields.io/github/release/Flute-CMS/cms.svg" alt="Latest release" />
    </a>
  &nbsp;
  <a href="https://discord.gg/BcBMeVJJsd"><img alt="Discord" src="https://img.shields.io/discord/869991184968323092?label=Discord&color=7289da&style=flat-square" /></a>
  &nbsp;
</p>
&nbsp;

<hr />

<a href="https://demo.flute-cms.com">
  <img src="https://github.com/Flute-CMS/cms/assets/62756604/f117eb2a-2ecb-45cd-b2b8-c54ac98897d7" alt="Flute dashboard"/>

</a>
<p align="center">
  👀 Exemplo do Painel Admin
</p>

<hr />
<b>Flute</b> é uma solução abrangente para CS2, CS:S, Minecraft e outros servidores de jogos. Distribuído como código aberto, o Flute permite que você instale e use em seu host gratuitamente! 🎉

<hr />

<h3>🚀 Vantagens sobre as soluções existentes:</h3>
<ul>
  <li>💯 Totalmente gratuito. Sem custos ocultos para implantação, etc.</li>
  <li>🏠 Independência de Host. Tudo roda em seu próprio servidor.</li>
  <li>🌟 Código moderno. Diga adeus ao código legado do PHP5!</li>
  <li>🛠️ Criação e edição direta de páginas com base em interface.</li>
  <li>📈 Totalmente extensível. Suporte para módulos e modelos ilimitados!</li>
  <li>🔗 Compatível com Laravel. Nenhuma curva de aprendizado acentuada se você estiver familiarizado com o Laravel.</li>
  <li>🔧 Recursos abundantes, incluindo vários métodos de autorização, configurações, sistemas de pagamento e muito mais para simplificar o uso do Flute!</li>
</ul>

&nbsp;

# 💼 Requisitos

Para instalar e executar o Flute com êxito, certifique-se de que seu sistema atenda aos seguintes requisitos:
- PHP 7.4 ou posterior.
- MySQL 5.7.29 ou superior / MariaDB 10.2.7 ou superior.
- Servidor web Apache ou Nginx.
- (Opcionalmente) Composer para gerenciamento de dependências.

&nbsp;

# 🚀 Instalação do Flute

### Em um VDS (Servidor Virtual Dedicado):

1. Baixe o Flute em [releases](https://github.com/Flute-CMS/cms/releases).
2. Faça upload dos arquivos para o seu servidor.
3. Use o comando:
   ```
   composer install
   ```
   para instalar dependências.
4. Configure seu servidor web (Apache/Nginx) e o banco de dados.

### Na Hospedagem Compartilhada:

> [!TIP]
> Assista ao tutorial em vídeo para instalação [aqui](https://www.youtube.com/watch?v=PCSjl2w7A9k)

1. Baixe o Flute e a pasta `vendor` em [releases](https://github.com/Flute-CMS/cms/releases).
2. Carregue-os em sua hospedagem via FTP ou no gerenciador de arquivos do provedor de hospedagem.
3. Configure o servidor web em sua hospedagem para apontar para a pasta Flute.

![gif_install](https://github.com/Flute-CMS/cms/assets/62756604/62b8a0cb-c7ed-431b-981c-470304c1fbd8)

Ambas as instalações requerem a configuração do banco de dados e a configuração do Flute.

&nbsp;

📚 Visite nossa [documentação](https://docs.flute-cms.com/docs/what_it) para obter instruções detalhadas sobre instalação, personalização e desenvolvimento de módulos e modelos.

&nbsp;

# 👨‍💻 Procurando oportunidades

Se você precisar de um desenvolvedor qualificado para seus projetos, entre em contato comigo (Meu Stack é React/TS/Node/PHP/JS):
- Discord - <kbd>flamesina</kbd>
- [Telegram](https://t.me/flamesina)
  
&nbsp;

# 📦 Lista de Módulos Gratuitos

Descubra a nossa gama de módulos gratuitos disponíveis para o Flute:
- [Notícias](https://github.com/Flute-CMS/news): Permite criar notícias no Flute
- [Monitoramento](https://github.com/Flute-CMS/monitoring): Obtém informações sobre servidores e as exibe em um widget
- [Bans & Comms](https://github.com/Flute-CMS/BansComms): Exibe a lista de banimentos e silenciamentos em uma página separada
- [Carrossel](https://github.com/Flute-CMS/carousel): Adiciona um widget de carrossel
- [Estatísticas](https://github.com/Flute-CMS/stats): Cria uma página separada de estatísticas
- ...e muito mais em nossa [página de repositórios](https://github.com/orgs/Flute-CMS/repositories).

Esses módulos foram projetados para aprimorar sua experiência com o Flute e estão disponíveis gratuitamente.

&nbsp;

# 🆘 Conseguindo ajuda

Precisa de ajuda com instalação, personalização ou desenvolvimento? Junte-se ao nosso [Discord](https://discord.gg/BcBMeVJJsd) para obter assistência! Relate bugs ou problemas em:
- [GitHub Issues](https://github.com/Flute-CMS/cms/issues)
- [Discord](https://discord.gg/BcBMeVJJsd)

&nbsp;

# ⭐ Gostou do que está vendo? Dê-nos uma star!

![flute-gif](https://github.com/Flute-CMS/cms/assets/62756604/87d18227-41ac-4a7d-9210-d46b9fd56049)
