<?php return [
    "admin_settings" => [
        "title" => [
            "admin_header" => "Paramètres système",
            "system" => "Système",
            "authorization" => "Autorisation",
            "databases" => "Bases de données",
            "what_is_this" => "Qu'est-ce que c'est ?",
            "default_db" => "Base de données par défaut",
            "debug" => "Débogage",
            "connections_dbs" => "Connexions et Bases de données",
            "connections" => "Connexions",
            "in_short" => "En bref",
            "dbs" => "Bases de données",
            "language" => "Langue",
            "mail_server" => "Serveur de messagerie",
            "profile" => "Profil",
            "replenishment" => "Recharge",
            "summing_up" => "Somme",
        ],
        "description" => [
            "system_settings_intro" => "Examinons ce que sont les paramètres système et à quoi ils servent.",
            "system_settings_details" => "Dans cette section, vous pouvez modifier les paramètres de base du moteur. La modification des points critiques a un impact significatif, alors modifiez uniquement ce que vous comprenez parfaitement.",
            "authorization_settings" => "Ici, vous pouvez modifier les paramètres d'autorisation (durée de session, etc.). Je pense que cela est assez clair.",
            "databases_overview" => "Nous examinerons plus en détail les bases de données ici.",
            "database_principles" => "Le principe des bases de données dans le moteur est un peu différent de la norme, plongeons-nous dedans.",
            "default_db_usage" => "Ce paramètre concerne la base de données utilisée par Flute. Il est recommandé de ne jamais modifier ce paramètre.",
            "debug_mode_info" => "Ce paramètre active le mode débogage de la base de données. Il est recommandé de l'utiliser uniquement par les développeurs.",
            "multiple_connections_dbs" => "Flute utilise un système de multiples connexions et de multiples bases de données.",
            "connections_info" => "Les connexions contiennent les informations de connexion à la base de données (nom d'utilisateur, mot de passe, etc.), tandis que les bases de données contiennent les données utilisées par les modules et le moteur.",
            "connections_dbs_summary" => "Une connexion peut être unique (si tout est dans la même base de données). Mais il peut y avoir plusieurs bases de données. Vous comprendrez mieux plus tard.",
            "managing_connections" => "Cette section vous permet de manipuler toutes les connexions dans Flute.",
            "setting_up_dbs" => "Dans cette section, la configuration et l'installation des bases de données utilisées par les connexions se font. Respirez un grand coup et continuons...",
            "language_settings" => "Dans cette section, vous pouvez choisir la langue par défaut du moteur et mettre en cache les traductions.",
            "mail_server_settings" => "Dans cette section, vous configurerez le serveur de messagerie pour l'envoi des e-mails (pour la réinitialisation du mot de passe, etc.).",
            "profile_settings" => "Ici, vous pouvez configurer différents paramètres pour les profils utilisateur. En explorant, vous comprendrez tout par vous-même.",
            "balance_replenishment_settings" => "Cette section contient les paramètres utilisés pour recharger le solde. Que ce soit la devise affichée ou le montant minimum de recharge.",
            "tour_ending" => "Incroyable mais vrai, nous avons terminé notre visite des principaux points. Je sais que cela demande un temps de digestion, mais je crois en vous, vous réussirez à tout assimiler !"
        ]
    ],
    "admin_stats" => [
        "title" => [
            "sidebar" => "Barre latérale",
            "main_menu" => "Menu principal",
            "additional_menu" => "Menu supplémentaire",
            "recent_menu" => "Dernières visites",
            "sidebar_complete" => "Barre latérale terminée",
            "navbar" => "Barre de navigation",
            "search" => "Recherche",
            "version" => "Version",
            "report_generation" => "Génération de rapport",
            "final" => "Et voilà !",
        ],
        "description" => [
            "sidebar" => "Examinons la barre de navigation principale du panneau d'administration. Commençons !",
            "main_menu" => "Ce menu contient des éléments liés aux paramètres système critiques.",
            "additional_menu" => "Ce menu contient des éléments de modules et de composants système différents. Vous comprendrez le rôle de chaque élément au fur et à mesure de son utilisation.",
            "recent_menu" => "En bas du panneau d'administration, les pages que vous avez récemment visitées sont également affichées. Cela peut être utile si vous accédez souvent à une page spécifique et que vous ne voulez pas la chercher à chaque fois.",
            "sidebar_complete" => "Nous avons terminé avec la barre latérale, passons maintenant aux autres composants.",
            "navbar" => "Examinons la barre de navigation supérieure et ce qu'elle contient.",
            "search" => "Ce champ de recherche vous permet de trouver des éléments ou des pages en fonction de mots-clés. Commencez simplement à taper, et la recherche vous donnera les résultats désirés !",
            "version" => "La version du moteur installée est affichée ici. À l'avenir, il sera possible de mettre à jour le moteur directement depuis le panneau d'administration.",
            "report_generation" => "Ce bouton permet de générer un rapport détaillé sur le système. Si vous devez envoyer des informations sur une erreur système, ce fichier doit être joint au message.",
            "final" => "Je vous ai présenté les principaux composants de l'interface d'administration. D'autres conseils vous attendent sur différentes pages. Bonne utilisation !"
        ]
    ],
    "home" => [
        "title" => [
            "editor_mode_title" => "Mode édition",
            "editor_title" => "Titre de la page en cours d'édition",
            "editor_area" => "Zone d'édition",
            "editor_toolbar" => "Barre d'outils de l'éditeur",
            "save_button" => "Enregistrer",
            "editor_course_completed" => "Cours d'édition terminé",
        ],
        "description" => [
            "editor_mode" => "CMS dispose d'un mode d'édition pour chaque page, permettant une personnalisation complète.",
            "editor_title" => "Ici est indiqué le titre de la page à éditer",
            "editor_area" => "Vous pouvez créer ici différents blocs, widgets et textes qui seront affichés dans l'éditeur",
            "editor_toolbar" => "À gauche, vous pouvez ajouter ou modifier des blocs existants",
            "save_button" => "Après avoir modifié des données, assurez-vous de sauvegarder tout le contenu en appuyant sur ce bouton",
            "editor_course_completed" => "C'est tout ce qu'il faut savoir pour comprendre les bases de l'éditeur. Pour en savoir plus, consultez la documentation officielle",
        ],
    ],
    "composer" => [
        "title" => [
            "composer" => "Comment fonctionne Composer ?",
            "what_is_this" => "C'est quoi ça ?",
            "and_then" => "Et ensuite ?",
            "package_list" => "Liste des paquets",
            "deletion" => "Suppression",
            "practice" => "Passons à la pratique",
        ],
        "description" => [
            "composer" => "Le gestionnaire de paquets Composer permet d'installer des bibliothèques de la communauté",
            "what_is_this" => "Le gestionnaire de paquets <a href=\"https://packagist.org/\" target=\"_blank\">composer</a> permet d'installer des bibliothèques de la communauté",
            "and_then" => "Ces paquets seront très utiles pour le développement de modules ou de templates. En fait, vous pouvez y attacher absolument tout ce que vous voulez directement depuis le panneau d'admin !",
            "package_list" => "Ici sont situés absolument tous les paquets installés dans le système. Si vous ne savez pas à quoi sert un paquet, NE TOUCHEZ À RIEN",
            "deletion" => "Chaque paquet peut être supprimé du système. Cela est utile si vous avez installé quelque chose qui entre en conflit avec une autre chose, ou si cela n'est plus nécessaire",
            "practice" => "Ajoutons notre premier paquet",
        ],
    ],    
];
