<?php

if(!function_exists("Path")) {
    return;
}

/*************/
/* SteamInfo */
/*************/

try {
    $steamApiUserInfo = file_get_contents("http://api.steampowered.com/ISteamUser/GetPlayerSummaries/v0002/?key=$SteamAPI_KEY&steamids=".$_SESSION['steamid']);
    $UserInfo = json_decode($steamApiUserInfo)->response->players[0];
}catch(Exception $err) {
    header("Refresh:0;");
}

/*************/
/* Languages */
/*************/

$langs = scandir('translation/');
array_shift($langs);
array_shift($langs);

/**************/
/* Categories */
/**************/

if($Website_UseCategories) {
    $weapon_type_select = [
        "knifes" => '',
        "pistols" => '',
        "rifles" => '',
        "smg" => '',
        "machine_guns" => '',
        "sniper_rifles" => '',
        "shotguns" => '',
        "gloves" => '',
        "agents" => '',
        "mvp" => ''
    ];

    if(isset($_POST['category'])) {
        if($_POST['category'] == 'none') {
            $_SESSION['category'] = null;
        }else {
            $_SESSION['category'] = $_POST['category'];
        }
        
        echo "<script>if ( window.history.replaceState ) {window.history.replaceState(null, null, window.location.href);}</script>";
        unset($_POST['category']);
    }

    if(isset($_SESSION['category'])) {
        $weapon_type_select[$_SESSION['category']] = "class='selected'";

        if($_SESSION['category'] == 'agents') {
            $choose_translate = str_replace('{{label}}', $translations->skins->categories->{$_SESSION['category']}->label, $translations->skins->choose_weapon);
        }else {
            $choose_translate = str_replace('{{label}}', $translations->skins->categories->{$_SESSION['category']}, $translations->skins->choose_weapon);
        }
    }else {
        $choose_translate = str_replace('{{label}}', $translations->skins->choose_weapon_default, $translations->skins->choose_weapon);
    }
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" href="<?= GetPrefix(); ?>src/logo.png" type="image/x-icon">
    <link rel="stylesheet" href="<?= GetPrefix(); ?>css/main.css" type="text/css">
    <link rel="stylesheet" href="<?= GetPrefix(); ?>css/skins.css" type="text/css">
    <script src="<?= GetPrefix(); ?>js/skins.js" defer></script>
    <title><?= $translations->website_name; ?> - Skins</title>
</head>
<body <?= $bodyStyle ?? "" ?>>

<div id="loading">
    <span></span>
</div>

<div class="wrapper">
    <?php
    if($Website_UseCategories) {
    ?>
    <header class="categories">
        <ul>
            <li><button data-action="category" data-category="agents" <?= $weapon_type_select['agents']; ?>>
                <svg viewBox="0 0 512 512" style="transform: scale(1.2);"><path d="M204.138,432.578c-0.071,0.138-0.142,0.553-0.142,0.553    l-2.001,5.039c-0.344,0.895-0.415,2.14-0.759,3.247c-1.238,4.694-2.959,7.036-2.271,13.459c0.479,4.766,1.855,2.009-0.486,9.808    c-0.565,1.935-0.079,3.24,2.615,4.347c1.032,0.419,2.143,0.49,3.179,0.835c1.235,0.482,0.961,0.89,2.832,1.1    c13.059,1.451,4.354,2.626,15.124,8.013c15.184,7.59,44.952-0.139,31.826-13.743c-6.763-6.973-15.954-0.688-19.122-9.939    c-0.344-0.901-0.618-1.594-1.04-2.35c-1.38-2.483-4.485-5.802-4.212-8.771c0.071-0.83,0.83-2.14,1.253-5.248    c0.688-4.275-0.363-4.347-0.636-5.593c-0.344-1.862,0.142-4.347-0.131-6.276c-0.143-0.901-0.213-1.935-0.344-2.832    c-0.213-1.036-0.344-1.729-0.558-2.835c-0.752-4.212-1.167-7.389-0.688-11.738l0.83-5.94c0.76-5.174,1.234-19.68,3.038-22.983    l5.102-7.878c1.456-2.277,4.006-5.798,4.006-9.246c0-2.899-3.796-7.598-2.611-16.438l0.404-9.317    c-0.06-2.346-1.589-1.8,0.558-8.151c0.89-2.622,2.214-7.249,4.485-8.768c1.934,1.241,3.105,2.696,4.706,4.282    c2.125,2.14,6.823,5.454,6.135,7.389c-0.617,1.657-3.453,1.106,1.519,7.316c0.486,0.692,0.554,0.961,0.897,1.661    c-1.941,2.895-0.688,2.686-2.558,7.866c-1.994,5.521-6.834,14.918-3.726,20.503c2.005,3.527,3.655,0.28,3.524,6.984    c-0.142,3.313-5.518,10.141-4.081,14.146c0.213,0.554,0.071-0.138,0.344,0.764c1.036,3.037-0.617,22.227-1.092,26.308    c-0.344,2.971-1.175,5.241-1.668,9.105c-0.688,5.943,0.273,7.945-2.757,13.055c-2.689,4.351-2.689,7.526-2.346,12.838    c0.139,2.971,2.144,5.248,4.279,6.494c2.896,1.729,4.979,0.973,8.847,1.586c1.44,0.21,13.597,0.763,13.597,0.83    c0.415,1.179,16.152,2.697,18.715,2.697c5.577,0,9.789-0.621,14.981-1.11c6.146-0.551,8.009-5.178,4.829-9.39    c-0.628-0.826-1.519-1.242-2.349-2.136c-3.876-3.864-10.912-4.837-17.188-4.003c-3.939,0.482-3.382-0.28-5.395-2.768l-5.103-5.933    c-0.202-0.352-0.202-0.352-0.486-0.625l-0.546-0.621c-1.598-1.729-2.978-2.765-5.113-3.936c0-3.726,1.934-6.979,3.311-10.219    c2.693-6.349,5.185-12.913,8.15-18.984l4.493-9.049c1.511-3.378,7.178-14.503,10.275-16.845c2.076-1.66,4.908-5.524,5.323-8.289    c0.415-2.207-1.032-3.662-0.76-5.798c0.486-3.456,3.251-5.521,1.175-10.841c-1.668-4.275,2.896-3.243,1.934-16.635    c-0.272-4.354-1.388-7.526-3.108-10.429c-0.897-1.522-2.831-6.771-4.141-9.39c-1.87-3.804-4.291-7.118-6.143-10.844    c-0.213-0.486-0.344-0.688-0.557-1.171c-0.202-0.55-0.132-0.764-0.404-1.313c-1.186-2.551-1.052-0.138-1.672-5.042    c-0.547-4.212-0.476-8.354-1.104-12.498c-0.273-2.068-0.891-3.864-0.969-5.798c-0.124-2.346,0.28-4.003,0.28-6.494    c1.661-0.89,4.698-1.653,5.589-3.512c-0.071,2.895-0.202,8.005-0.273,16.772c0,0,0.142,1.179,1.388,1.246    c1.242,0.135,7.59-0.067,8.765-0.067c1.104,0,1.104-0.763,1.104-0.763c0.272-27.962,0.973-18.573,0.973-18.573    s0.07-0.352,0.272-0.834l1.377,0.28l0.213-0.688l-0.344-0.827l1.163-2.559c1.53,1.38,2.765,1.586,4.908,1.451    c7.047,3.239,13.949,6.494,20.914,9.666l20.375,9.662c2.421,1.104,5.185,3.112,6.625,1.242l1.736-0.965l0.134-0.277l4.557,2.693    l1.578,0.973l-0.344,0.688l4.212,2.48c0.221-0.199,0.423-0.412,0.636-0.551l2.065,1.175v0.071l-0.973,1.586    c0,0,3.595,2.757,4.829,0.688h0.071l6.153,3.595c0.479,0.276,1.44-0.482,2.147-1.729c0.748-1.171,0.961-2.412,0.475-2.693    l-6.213-3.658c0.688-1.934-3.109-3.587-3.109-3.587l-0.759,1.309l-2.005-1.174c0.202-0.692,0.272-1.107,0.272-1.107l1.388-2.413    c2.903-2.278,3.109-5.454,3.109-5.454l0.07,0.067l1.65-2.764c0,0,2.831-3.727,2.356-7.8c0,0-1.253-1.107-3.39-1.934    c0,0-3.037,2.97-3.998,6.763l-1.602,2.765l-0.891-0.482l-2.356-1.381l-2.199-1.316l-1.941-1.1l-0.819-0.55l-0.558-0.831    l-11.319-6.628c0.345-1.246-0.344-2.761-1.799-3.595c-1.447-0.831-3.108-0.756-3.939,0.146l-1.993-1.175l-8.29-4.838l-8.97-5.313    l-5.738-4.283l-6.011-3.518c-0.618-0.692-1.097-1.526-1.714-2.422c-0.415-0.688-0.973-1.308-1.447-1.996    c-1.874-2.418-4.16-4.56-6.427-6.559c-1.316-1.107-2.622-1.528-2.35-3.943c0.202-2.343,1.164-1.721,1.306-3.451    c0.071-1.59-0.759-5.523-0.89-7.386c-0.345-7.251,0-10.568-1.033-18.433c-0.486-3.937-1.376-11.459-0.901-15.193    c0.214-1.316,0.831-1.17,1.377-2.005c0-3.239-0.273-4.277-1.377-6.484c-1.04-2.07-3.946-8.77-4.563-11.259    c-0.479-2.071-0.823-4.556-1.447-6.485c-3.038-9.671-5.387-17.061-9.737-26.101c-0.344-0.69-0.344-0.552-0.752-1.246    c-0.28-0.484-0.344-0.831-0.628-1.311l-3.034-4.904c-2.622-4.281-1.238-3.726-6.562-5.313c-1.447-0.415-2.064-0.346-3.662-0.619    c-4.484-0.763-7.38-6.219-11.39-8.289l-5.103-2.834c-1.732-1.1-1.04-0.065-3.108,0c-1.111-2.136-0.483-3.108,2.199-3.108    c2.356-0.062,3.662-0.413,4.919-1.659c8.552-8.347,1.649-8.626,3.239-13.109c0.688-1.939,2.207-1.939,3.239-3.245    c2.278-2.833-1.721-9.464-0.344-10.846c0.486-0.208,5.66,0.137,1.729-2.551c2.128-4.56,0.894-2.142,4.069-4.352    c7.594-5.106,1.175-5.796-0.546-7.941c-6.153-7.8-4.212-18.088-18.026-24.647c-22.927-10.908-44.541,7.248-44.541,31.004    c-0.071,5.456,1.874,7.663,3.109,12.148c0.628,2.49-0.961,5.521-1.785,7.878c-1.668,4.345-1.182,5.448,3.999,5.727    c2.349,0.14,4.212-0.209,6.209,0.273c0,2.353-1.38,2.97-2.543,4.21c-2.357,2.212-8.989,5.598-12.573,8.083    c-5.042,3.451-19.68,1.928-23.544,3.795c-1.316,5.66,0.344,3.66-6.348,7.25c-0.902,0.419-1.033,0.555-1.803,1.036    c-3.733,2.349-6.142,4.212-8.563,8.078c-7.178,11.534-12.898,23.894-21.266,34.73c-0.961,1.24-1.713,1.311-2.693,2.626    c-4.07,5.456-3.382,5.588-4.972,12.015c-1.934,7.588-0.617,6.007,4.082,10.629l5.667,5.315    c5.921,4.629,14.768,8.907,21.883,11.737c1.31,0.557,2.896,1.174,3.524,2.145c-1.526,0.825-2.214,1.109-3.595,2.344    c-2.214,2.005-8.155,6.909-9.393,8.635c-6.771-1.59-9.393-3.593-13.743-0.415c-2.563,1.863-1.855,4.073-3.251,5.729    c-2.267,2.896-3.176,7.182-4.343,10.635c-1.032,3.042-2.207,5.729-3.868,8.355c-2.274,3.593-4.96,7.111-7.519,10.493    c-4.9,6.423-9.464,13.464-3.048,20.58l2.428,3.52c1.653,2.14,11.937,7.044,15.46,8.488c4.706,2.009,9.262,3.804,14.566,3.112    c8.158-1.104,6.905,0.134,12.572-5.529c0.688-0.688,0.759-0.756,1.306-1.515c0.486-0.621,0.961-1.179,1.739-1.448    c1.855-0.55,3.18,0.685,4.485,1.171c3.512,1.385,0.404,0.902,1.784,9.259c0.554,3.243,1.526,6.415,2.356,9.523    c1.306,4.972,6.558,20.229,4.414,24.857l-1.998,4.141c-0.553,1.519-1.04,3.041-1.526,4.418c-0.546,1.519-1.104,2.828-1.721,4.216    c-0.688,1.38-1.238,2.555-1.871,4.069c-0.894,2.14,0.139,2.828,1.182,4.216c4.006,5.521,3.24,11.667,3.52,20.503    c0,1.661,0.692,4.003,0.348,5.177c-0.486,1.242-1.803,2.278-2.349,3.595c-1.863,4.347,4.343,10.497,7.523,12.842    c0.546,0.345,1.447,0.823,1.657,1.452c1.317,3.239-1.313,15.396,7.048,29.132c7.863,12.913,1.242,12.221,5.791,18.161    L204.138,432.578z M294.169,268.938c-0.273-0.823-0.83-1.863-1.245-2.757c0.142,0.071,0.284,0.071,0.485,0.135l1.448,0.554    l-0.21,2.341C294.647,269.21,294.442,266.042,294.169,268.938L294.169,268.938z M373.086,280.68L373.086,280.68l-0.344-0.277    c-0.276,0.55-0.965,1.863-1.997,2.552l0.759,0.415L373.086,280.68z"/></svg>
                <span class="helpbox"><?= $translations->skins->categories->agents->label; ?></span>
            </button></li>
            <li><button data-action="category" data-category="gloves" <?= $weapon_type_select['gloves']; ?>>
                <svg viewBox="0 0 48 48"><path d="M37.871,16.126l-0.002,0.001c-0.111-0.266-0.273-0.516-0.49-0.733c-0.891-0.891-2.334-0.891-3.225,0   c-0.547,0.546-0.755,1.299-0.632,2.006l-0.002,0l0.004,0.011c0.031,0.175,0.084,0.345,0.157,0.51l0.643,2.076l-4.789-4.788   c-2.945-2.945-7.721-2.945-10.666,0s-2.945,7.721,0,10.667l13.465,13.465L43,28.675l-2.652-2.652l-2.326-9.293   c-0.025-0.205-0.07-0.406-0.15-0.599V16.126z"/><path d="M29.577,18.25l-0.216-0.862c-0.025-0.205-0.07-0.406-0.15-0.599v-0.004l-0.002,0.001c-0.111-0.266-0.273-0.516-0.49-0.733    c-0.537-0.538-1.276-0.745-1.974-0.633L29.577,18.25z"/><path d="M15.87,25.876c-2.945-2.946-2.945-7.721,0-10.667c0.515-0.515,1.088-0.935,1.696-1.27    c-2.534-0.704-5.363-0.064-7.356,1.929c-2.945,2.945-2.945,7.721,0,10.667L23.674,40l3.16-3.159L15.87,25.876z"/></svg>
                <span class="helpbox"><?= $translations->skins->categories->gloves; ?></span>
            </button></li>
            <li><button data-action="category" data-category="knifes" <?= $weapon_type_select['knifes']; ?>>
                <svg viewBox="0 0 512 512" style="transform: scaleX(-1) rotate(10deg);"><path d="M311.96 258.5L105.55 484l-30-28.31L288.92 236.7zM139.77 417.7a7.41 7.41 0 1 0 .3 10.47 7.41 7.41 0 0 0-.3-10.47zm23.74-25.14a7.41 7.41 0 1 0 .3 10.47 7.41 7.41 0 0 0-.29-10.44zm23.76-25.11a7.41 7.41 0 1 0 .3 10.47 7.41 7.41 0 0 0-.3-10.47zm23.74-25.15a7.41 7.41 0 1 0 .3 10.47 7.41 7.41 0 0 0-.3-10.47zm23.76-25.14a7.41 7.41 0 1 0 .3 10.47 7.41 7.41 0 0 0-.3-10.47zm23.74-25.14a7.41 7.41 0 1 0 .3 10.47 7.41 7.41 0 0 0-.31-10.47zm23.74-25.14a7.41 7.41 0 1 0 .3 10.47 7.41 7.41 0 0 0-.3-10.47zM52.67 433.13l-28.26-30 225.85-206 21.71 23.02zm36.9-63.05a7.41 7.41 0 1 0-.32 10.47 7.41 7.41 0 0 0 .33-10.47zm25.2-23.7a7.41 7.41 0 1 0-.32 10.47 7.41 7.41 0 0 0 .32-10.47zm25.17-23.68a7.41 7.41 0 1 0-.32 10.47 7.41 7.41 0 0 0 .32-10.47zm25.18-23.7a7.41 7.41 0 1 0-.32 10.47 7.41 7.41 0 0 0 .32-10.5zm25.18-23.7a7.41 7.41 0 1 0-.32 10.47 7.41 7.41 0 0 0 .32-10.5zm25.18-23.7a7.41 7.41 0 1 0-.32 10.47 7.41 7.41 0 0 0 .32-10.51zm25.18-23.7a7.41 7.41 0 1 0-.32 10.47 7.41 7.41 0 0 0 .32-10.51zm63.89 1.63c12.87-10.8 25.09-20.92 37-30.79C425.04 129.57 475.68 87.63 487.59 28c-8.36 6.7-63.45 50.38-92.82 58.58l-114 119.47z"/></svg>
                <span class="helpbox"><?= $translations->skins->categories->knifes; ?></span>
            </button></li>
            <li><button data-action="category" data-category="pistols" <?= $weapon_type_select['pistols']; ?>>
                <svg viewBox="0 0 52 52" style="transform: scaleX(-1) rotate(-10deg);"><path d="M47.9818192,11.6695557h-3.0493774c0.0388794-0.1068115,0.0683594-0.218811,0.0683594-0.3391113v-2   c0-0.5522461-0.4472656-1-1-1s-1,0.4477539-1,1v2c0,0.1203003,0.029541,0.2322998,0.0684204,0.3391113H11.9324408   c0.0388794-0.1068115,0.0683594-0.218811,0.0683594-0.3391113v-2c0-0.5522461-0.4472656-1-1-1s-1,0.4477539-1,1v2   c0,0.1203003,0.029541,0.2322998,0.0684204,0.3391113h-1.517395c-1.9100337,0-3.6400142,1.0700073-4.4199824,2.7299805   l-1.6600344,3.5599976c-0.4899902,1.0300293-0.5299683,2.1900024-0.1199951,3.2600098   c0.4199829,1.1199951,1.2800293,2,2.4000247,2.4799805l0.2399902,0.1100464   c0.7099609,0.2999878,1.0800171,1.0199585,0.8800049,1.6999512L2.1618111,38.3595581   c-0.3599854,1.2199707-0.1199951,2.5200195,0.6600342,3.5499878c0.8199463,1.0999756,2.1499636,1.7600098,3.5599978,1.7600098   h5.269958c1.960022,0,3.6900024-1.2700195,4.210022-3.0700073l2.8727427-9.9317017h2.1968994   c4.4492188,0,8.0693359-3.6201172,8.0693359-8.0698242v-0.1884766h16.6409912c2.4000244,0,4.3600464-1.8699951,4.3600464-4.1699829   v-4.6099854C50.0018387,12.5495605,49.0918045,11.6695557,47.9818192,11.6695557z M20.9314651,28.6678467h-1.6184082   l1.3387451-4.6282959c0.0857544-0.2940674,0.2401733-0.5561523,0.4358521-0.7848511l2.163147,2.163147   c0.1953125,0.1953125,0.4511719,0.2929688,0.7070313,0.2929688s0.5117188-0.0976563,0.7070313-0.2929688   c0.390625-0.390625,0.390625-1.0234375,0-1.4140625l-1.3359375-1.3359375h3.671875   C26.9627151,25.9827881,24.2547073,28.6678467,20.9314651,28.6678467z"/></svg>
                <span class="helpbox"><?= $translations->skins->categories->pistols; ?></span>
            </button></li>
            <li><button data-action="category" data-category="rifles" <?= $weapon_type_select['rifles']; ?>>
                <svg viewBox="0 0 512 512" style="transform: scale(2) rotate(10deg);"><path d="M477.564,231.561c-0.62-0.972-2.023-1.592-4.434-1.997c-1.592-0.287-4.641-0.845-8.509-1.456    c-17.035-2.987-48.586-8.526-56.825-9.624c-2.096-0.279-3.813-0.342-5.415-0.342c-3.543,0-5.459,0.611-7.204,1.24    c-1.034,0.343-1.942,0.621-3.103,0.757c-0.685,0.144-1.476,0.144-2.357,0.144c-3.66,0-7.969-0.701-8.382-0.765    c-0.621-0.136-10.38-2.42-13.626-3.247c-1.035-0.216-1.943-0.359-2.708-0.359c-1.376,0-1.942,0.422-2.141,0.701l-0.144,0.207    l-0.072,0.207c0,0,0,0,0,0.071c-2.636-0.414-6.493-1.043-6.493-1.043l-2.51-0.899c-0.126-4.426-5.459-7.951-6.988-8.302    c0.071-0.207,0.152-0.423,0.152-0.62c0-1.602-4.083-7.682-9.345-7.682H234.101c0-0.144,0-0.216,0-0.216l-1.233-0.899h-1.816    v-0.216h5.261c0,0,0-2.627,0-3.598c0-0.972-0.054-1.169-1.034-1.169c-1.448,0-2.482,2.347-2.482,2.347h-2.932    c-0.189-1.033-0.954-1.727-1.862-1.727c-0.89,0-1.655,0.693-1.844,1.727h-0.567c-2.635-2.212-6.916-0.62-6.916-0.62h-2.24    l-0.54-0.558h-3.193c-1.799-2.626-3.391,0-3.391,0h-2.905v0.899h-0.81l0,0c-0.369-0.413-0.765-0.611-1.403-0.611    c-2.905,0-3.391,1.52-3.391,3.598c0,0.27,0,0.62,0,0.971c-0.126-0.071-0.423-0.144-0.621-0.144c-0.342,0-0.612,0.072-0.765,0.216    c0-0.359,0-0.701,0-0.846c0-0.827-0.144-1.241-1.295-1.241c-0.422,0-0.719,0-0.989,0c-0.072-0.071-0.072-0.135-0.144-0.207    c-0.467-0.485-1.232-0.692-2.563-0.692c-1.646,0-11.63,0.207-22.126,0.414c-10.334,0.144-20.983,0.351-22.656,0.351    c-1.178,0-2.06,0.342-2.699,0.972c-0.351,0-0.818,0-1.304,0c-1.035,0-3.247,0-3.247,2.698v-0.485c0,0-25.895,0-36.354,0    c-0.27,0-0.558,0.063-0.756,0.063c-0.072,0-0.153,0-0.225,0c-0.198,0-0.342,0.072-0.468,0.072c-0.072,0-0.144,0-0.297,0    c-0.117,0.071-0.27,0.071-0.342,0.144c-0.126,0-0.198,0-0.27,0c-0.144,0.063-0.27,0.063-0.342,0.144c-0.072,0-0.153,0-0.198,0.063    c-0.144,0-0.297,0.063-0.422,0.135c-0.072,0-0.144,0-0.216,0.071c-0.125,0.073-0.27,0.136-0.468,0.199l0,0    c-0.153,0.144-0.369,0.215-0.494,0.287c-0.072,0.072-0.072,0.072-0.144,0.072c-0.072,0.126-0.198,0.207-0.351,0.27    c0,0-0.072,0.072-0.144,0.072c-0.045,0.144-0.197,0.206-0.27,0.27c-0.072,0.072-0.072,0.072-0.126,0.145    c-0.072,0.071-0.216,0.144-0.297,0.278c-0.045,0-0.045,0.063-0.117,0.063c-0.072,0.145-0.225,0.217-0.341,0.352v0.063    c-2.167,2.356-3.346,5.819-5.685,8.311c-0.566,0.558-1.178,1.115-1.871,1.529h-0.342h-0.072c-1.376,0.756-3.049,1.17-4.992,1.17    h-0.198v0.144c-0.072,0-0.153,0.063-0.225,0.144H58.209v-2.213l-7.546-14.688c0.494-0.342,0.908-1.385,0.908-2.563    c0-1.521-0.639-2.762-1.331-2.762h-1.862h-0.081h-3.041h-0.548h-1.376c-0.71,0-1.25,1.241-1.25,2.762    c0,1.178,0.342,2.148,0.836,2.563h-0.225v0.207c0.072,0.072,1.034,5.612,0.072,9.696c0,0,0,0-0.072,0    c-0.27,0-0.684,0.071-0.684,0.071l-0.153,0.072v3.589c0,0.207-1.151,2.978-2.977,2.978v0.287h-2.482H36.2    c-1.25,0-2.212,1.655-2.212,3.732s0.962,3.805,2.212,3.805h0.198h4.425c0,0,2.779,0.342,4.308,3.741    c0.198,0,2.482,0.756,5.189,0.145c0.414,0,0.836,0,1.304,0h47.409c0.639,0.962,1.673,1.871,3.346,1.871c1.646,0,1.646,0,1.646,0    s0.225-1.602,1.332-1.602v-0.27h39.862c0.495,2.761,2.833,2.761,6.44,2.761c1.457,0,3.741,0.279,6.719,0.692    c5.531,0.756,13.923,1.943,23.808,1.943c13.995,0,23.043,1.025,28.521,3.255c1.232,0.549,2.563,0.685,3.67,0.685l0,0    c0.54,0,1.106-0.072,1.718-0.072c0.639,0,1.259-0.063,1.943-0.063c0.566,0,0.989-0.144,1.331-0.484    c0.126-0.136,0.198-0.279,0.27-0.424c1.25-0.125,1.943-0.611,2.357-1.313l0.396,0.144h0.153c0.215,0,9.488,0.486,20.408,1.044    l3.273,2.626c-0.072,1.654-0.836,8.859-5.343,18.618c-4.623,10.18-14.454,25.268-34.816,39.246l-0.125,0.072    c-0.423,0.484-0.225,0.898,0.468,2.086c0.414,0.684,1.034,1.727,1.798,2.969c1.323,2.141,3.193,5.055,5.55,8.725    c4.011,6.223,8.167,12.52,8.167,12.592l0.423,0.557l0.54-0.27c0.144-0.072,12.322-6.854,25.4-20.848    c11.09-11.838,24.869-31.139,30.4-58.009c0.837-0.063,2.141-0.063,2.779,0.63h0.27c0,2.77,0.27,5.54,1.799,6.224l0,0    c0,0,0.756,4.442,1.718,5.819c-0.071,0,1.106,0,1.106,0v-2.284c0,0-0.881-1.179,0-2.078h0.495v-1.457    c0.413-0.27,0.684-0.899,1.592,0.144c0,0,0.27,0,0.692,0c0.765,1.313,2.779,3.184,7.744,3.454    c2.015,0.072,3.957,0.216,5.756,0.287c3.391,0.198,6.566,0.414,9.84,0.414c0.611,0,1.151,0,1.79,0    c3.4-0.071,5.118-1.385,6.152-2.626c1.034,1.025,2.356,3.112,4.227,7.682c4.507,11.201,8.393,18.883,9.543,24.836    c1.106,5.973,0.567,7.971,9.84,7.07c9.273-0.973,12.322-7.609,12.125-10.738c-0.226-3.113-6.521-16.186-8.464-21.799    c-1.916-5.603-2.411-8.238-1.034-11c1.105-2.077,2.141-5.747,1.87-7.474h0.567l1.304-2.428c1.673,0.342,5.189,1.24,7.204,1.663    c0.495,0.063,0.963,0.207,1.305,0.279c0.494,2.482,4.92,4.218,11.782,6.781c2.06,0.828,4.497,1.727,6.979,2.698    c10.253,4.156,72.745,32.806,80.444,37.231c2.015,1.188,3.886,1.816,5.388,1.816c3.463,0,5.63-2.914,6.026-8.113    c0.413-8.85,7.348-39.587,8.04-42.636C477.979,234.133,478.32,232.748,477.564,231.561L477.564,231.561z M231.339,207.33    L231.339,207.33h-8.877l0,0H231.339L231.339,207.33z M221.355,211.701L221.355,211.701L221.355,211.701c-0.072,0-0.188,0-0.342,0    H221.355z M145.984,210.101L145.984,210.101L145.984,210.101h5.189h0.072c3.175-0.899,6.098-1.377,8.932-1.377    c3.049,0,5.333,0.478,7.205,0.963c1.106,0.217,1.987,0.414,2.752,0.414h7.276h0.081c2.824-0.899,5.532-1.313,7.942-1.313    c2.698,0,4.641,0.559,6.018,0.899c0.566,0.217,1.115,0.342,1.529,0.414c-0.684,0.144-0.836,0.629-0.962,0.972    c-0.144,0.413-0.27,0.898-2.356,0.898h-9.489c-0.738,0-0.819-0.063-0.891-0.27c-0.225-0.629-0.612-1.043-1.943-1.043h-11.144    c-1.322,0-1.664,0.414-1.861,1.043c-0.081,0.207-0.153,0.27-0.99,0.27h-9.048c-0.765,0-0.836-0.063-0.909-0.27    c-0.198-0.629-0.611-1.043-1.871-1.043h-4.767h-1.673v2.914h-1.925v-3.472H145.984z M106.121,210.586L106.121,210.586v-1.034    h17.701h11.441l0.468,0.477l-1.035,3.544h-28.458v-1.457h-0.117V210.586z M44.223,207.69L44.223,207.69    c0-1.602,1.322-2.915,2.896-2.915h5.612l2.923,5.811h-8.535C45.545,210.586,44.223,209.272,44.223,207.69L44.223,207.69z     M52.192,223.188L52.192,223.188c0.836-1.035,1.646-2.078,1.646-2.078h2.239H86.37c0.072,0,0.153,0.071,0.225,0.071v0.073h2.482    c-0.27,0.197-0.495,0.476-0.495,0.827c0,0.62,0.495,1.034,1.062,1.034h8.508v0.072H52.192z M105.357,223.115L105.357,223.115h0.54    c0.611,0,1.034-0.414,1.034-1.034c0-0.414-0.27-0.756-0.692-0.972l0,0h28.602h6.152v2.078h-35.635V223.115z M314.193,250.188    L314.193,250.188c-3.732,0.063-7.474-0.135-11.432-0.423c-1.798-0.063-3.714-0.206-5.729-0.27    c-4.92-0.278-5.954-2.285-6.026-2.572v-9.543c0.144-0.063,0.27-0.144,0.414-0.278c0.152-0.207,0.27-0.342,0.351-0.486    c0.144-0.207,0.342-0.485,2.554-0.485c2.356,0,7.816,0.278,10.865,0.414c1.26,0.071,2.141,0.144,2.563,0.216    c0.765,0.557,1.521,1.583,1.521,3.256c0,3.31,0.494,5.117-5.388,7.681c-0.145-0.144-0.288,0.899,1.573,0.684    c1.943-0.27,4.039-2.141,4.776-3.247c0.765-1.178,2.581-5.189,2.627-5.747l2.023-0.558c0,0,1.942-0.756,2.554-1.997h0.297v4.911    c0,0-0.765,2.968,0,5.811c0.117,0.62,0.342,0.899,0.611,1.106C317.666,249.423,316.406,250.116,314.193,250.188L314.193,250.188z"/></svg>
                <span class="helpbox"><?= $translations->skins->categories->rifles; ?></span>
            </button></li>
            <li><button data-action="category" data-category="smg" <?= $weapon_type_select['smg']; ?>>
                <svg viewBox="0 0 512 512" style="transform: scale(2) rotate(10deg);"><path d="M60.861,206.152c0,3.04,0.98,5.469,2.167,5.469h15.218v0.072c0,5.18,9.687,3.939,9.687,3.939    v-3.939v-0.072h5.118c0.144,0.62,0.342,1.169,0.566,1.727h10.452v-1.654h4.011l11.359-0.072l-0.144,0.755l2.131,3.526    c0.72,4.991,7.825,4.299,13.582,4.991l47.831,4.291c19.455,1.943,38.9,3.885,58.849,5.81c0,0.072,0.072,0.072,0.072,0.145    c0.054,0.27,0.198,0.485,0.27,0.827c0,0,0.072-0.063,0.198-0.063c0.072,0.063,0.072,0.063,0.144,0.135l-0.612,6.584l-1.601,1.241    l-0.341,1.385l2.751,0.972c-0.197,1.169-0.341,1.87-0.341,1.87s-8.095,48.443-37.92,100.16c0,0-0.765,1.313,1.305,2.563    c2.086,1.178,13.5,8.509,15.928,9.687c2.411,1.251,4.012-0.827,4.012-0.827c29.762-51.717,37.92-100.16,37.92-100.16l2.168-4.506    l3.318,0.549c1.178,0.216,2.212,0.351,2.636,0.413c0.611,4.228,1.789,11.981,2.481,12.809c0.954,1.043,1.376-0.478,1.376-0.478    l-0.692-12.043h5.883h1.52h1.403c1.106,1.106,2.284,2.771,3.104,5.118c2.158,6.296,5.063,14.472,6.862,18.483    c1.789,4.011,5.181,5.675,15.02,5.675c9.769,0,10.452,0,15.983,0c5.54,0,4.848-4.362,11.144-4.704    c6.297-0.351,7.402,2.141,7.825,3.04c0.342,0.827-6.224-14.256-6.224-14.256l-0.693,4.982l-11.09,6.791c0,0-13.896,0-19.841,0    c-5.981,0-8.319-1.259-10.335-6.791c-1.987-5.604-3.462-9.687-5.036-15.785c-0.297-1.042-0.351-1.87-0.225-2.554h3.741    c0,0,7.744,0,17.035,0c13.015,11.009-1.592,22.288,1.304,22.432c2.86,0.126,6.251-2.572,8.167-6.728    c1.943-4.209,1.179-12.106,1.179-13.42c0-1.321,1.187-2.284,1.187-2.284c5.532,0,10.649,0,14.266,0    c8.238,0,11.288-0.216,13.968-2.428l25.967,57.454l0.683,10.73c7.133,1.448,20.714-7.816,24.303-11.423    c4.992-2.905,8.581-4.991,12.889-8.58v-3.599l-28.602-45.698c-4.506-8.995-1.457-13.636,0.414-16.532h12.124    c3.589,0.136,6.565-3.327,6.565-1.25c0,2.078,1.602,1.52,2.636,0c0.684-1.034,5.531-8.58,8.58-13.501    c0.072,0,0.072-0.071,0.072-0.134c0.072,0,0.153,0,0.198,0c3.049,0,0,3.876-2.824,6.439c-2.86,2.491-4.354,7.475,2.141,8.373    c6.439,0.9,7.052-2.148,7.052-6.161c0-4.083,0-12.673,0-12.673h-4.552l0,0h-4.102v-1.313h7.771c0.197,0.413,0.27,0.692,0.27,0.692    c15.371,0,14.948,38.973,19.374,46.797c4.434,7.825,11.71,3.463,8.463-2.986c-7.618-24.212-2.438-57.445-2.438-57.445    s1.602-3.67-12.511-3.67l0,0c-3.049,0-6.593,0.485-10.819,0.485c-2.069,0-3.328,0.692-4.084,1.861v-0.683h-2.294v-0.63v-4.011    c0,0-5.729-8.374-7.941-12.106c-2.213-3.742-3.534-3.958-7.402-3.958c-3.957,0-23.412,0-23.412,0l-0.116,0.144h-0.765h-4.452    c0,0,0-0.827,0-2.212c0-1.179,0-2.771,0-4.642c0-4.011-3.247-7.267-7.331-7.267c-4.154,0-6.098,0-6.098,0    c0.072-0.208,0.072-0.414,0-0.63c0-1.583-0.963-2.141-0.963-2.141c-7.275,1.179-14.336,5.954-14.336,5.954l1.403,3.256h1.375    v0.063l1.728,5.406v0.072l-2.141,2.14h-1.448h-20.983h-92.146l-15.002,1.655h-22.306h-20.48h-4.92    c-0.621-2.626-3.517-4.56-7.132-4.56c-3.517,0-6.494,1.934-7.132,4.56h-28.035l-1.871,0.972h-2.141h-4.695h-5.486h-5.874h-2.069    v-6.854c2.339-8.023,0-16.819,0-16.819c-4.794-0.693-8.239,0-8.239,0c-5.333,6.854-4.155,16.819-4.155,16.819v6.854h0.27    c0,0-3.175,6.026-0.27,13.365v5.883c0,0-0.342,0.827-0.692,2.356h-4.992v-3.257c0,0-8.724-1.105-9.615,3.257h-15.29    C61.842,200.685,60.861,203.112,60.861,206.152L60.861,206.152z M356.879,165.795L356.879,165.795    c0,0.892-0.764,1.728-1.744,1.728c-0.963,0-1.728-0.836-1.728-1.728c0-0.971,0.765-1.735,1.728-1.735    C356.115,164.06,356.879,164.824,356.879,165.795L356.879,165.795z M107.047,191.546L107.047,191.546H108    c-0.117,1.241-0.189,4.425,0.989,6.782h-1.942V191.546z"/></svg>
                <span class="helpbox"><?= $translations->skins->categories->smg; ?></span>
            </button></li>
            <li><button data-action="category" data-category="machine_guns" <?= $weapon_type_select['machine_guns']; ?>>
                <svg viewBox="0 -28.5 89 89" style="transform: scale(2) rotate(10deg) scaleX(-1);"><path d="M78.624 8.704h5.632v2.912h-5.632v0.544h-10.4v-0.544h-0.704v1.28l-0.384 0.416h-0.64v1.184h1.536v-0.448h4.256v2.016h-4.256v-0.352h-1.568v0.384l-0.864 0.832h-2.496l-1.088 0.416h-14.848l-1.312-0.416h-0.32v8.512l-0.48 0.416h-8.928l-0.576-0.576v-2.016l-0.864 0.864v0.672l-0.416 0.768-1.28-0.416-0.48 0.416-12.224-3.2-0.384-0.384 0.96-0.544 0.032-0.864 0.288-1.376 0.512-1.216 1.152-1.76 0.96-1.088 0.448-0.352-0.128-0.32v-0.832l-1.824-0.832h-10.368l-4.8 2.784-0.192 1.344-0.256 0.32-2.176 0.576-0.416-0.128 0.224-2.368 0.128-3.744-0.128-2.944-0.128-1.856 0.032-0.704 0.224-0.352h1.248l0.192 0.192h0.864l0.32 0.352v0.672h14.848l0.288 0.32 2.464-0.608 0.544-0.512 0.672-0.448 0.608-0.128 0.096 0.096v0.448h0.992v-1.376l0.768-0.512h0.256v-1.152h0.672v1.152h0.608l1.696 0.992v0.896h6.368l2.112 0.8h8.448v-0.736l0.256-0.288h5.024l2.144 1.088h4.768l1.024-0.96h4.384l0.16 0.16v1.44h1.024l0.224 0.224v0.832h0.704v-0.544h10.4v0.576zM31.264 22.432l2.784-6.976-0.096-0.512-0.256-0.352-0.544-0.128h-3.84l-0.128 0.704 0.16 0.96 0.256 0.416-0.16 0.224-0.224-0.16-0.352-0.544-0.256-0.768-0.096-0.832h-0.128l-0.352 0.288-0.256 0.576 0.064 0.736 0.32 0.544 0.448 0.448-0.16 0.416h-0.672l-0.512 0.16-0.416 0.48-0.192 0.672-0.192 0.704-0.448 0.544-0.512 0.768-0.384 0.928 0.096 0.224 4.544 1.248 0.608-0.096 0.48-0.224z"></path></svg>
                <span class="helpbox"><?= $translations->skins->categories->machine_guns; ?></span>
            </button></li>
            <li><button data-action="category" data-category="sniper_rifles" <?= $weapon_type_select['sniper_rifles']; ?>>
                <svg viewBox="0 0 512 512" style="transform: scale(2.5) rotate(10deg);"><path d="M478.374,268.743c-0.071-3.111-0.152-6.089-0.197-8.715c0-0.145,0.197-5.126-0.144-9.551    c0-0.63-0.081-1.25-0.271-1.808c-0.423-2.006-1.259-2.42-1.673-2.492h-0.126c-0.072,0-0.072,0-0.072,0    c-1.673,0.207-3.399,0.414-5.145,0.558c-0.342,0-0.539,0-0.539,0c-6.026,0.342-11.63,0-11.63,0v0.828    c0.145,0.215,0.27,0.62,0.413,1.169h-0.413c0,0-2.555-4.012-5.459-4.012c-10.182,0-10.182,0-11.288,0h-4.309h-27.198    c0,0-2.978-0.126-2.978,2.015c0,0.972,0,2.078,0,3.04v1.25h-14.948v1.035h-7.896c0,0,0.08,0.898-0.756,0.773    c-0.837-0.145-1.034-0.773-1.034-0.773h-0.621c-0.144-0.198-0.288-0.343-0.485-0.343h-17.809v0.828l-1.916-0.414l-0.071-2.356    c0,0,0.071-0.962-0.918-0.962h0.081v-6.926h-11.558c0.072,0.072,0.271,0.413,0.414,0.621c-0.342-0.621-0.963-0.972-0.963-0.972    h-0.216v-0.549v-0.621h-0.495v-1.87h-4.199v1.592h-2.023v-1.52h-1.673v1.52h-1.224v-8.032h4.271l3.742,1.386h0.072h2.707    c0,0,0-0.145,0.072-0.271h0.071v-0.216h5.189c0.271,0.558,0.765,0.486,0.765,0.486h17.926c0,0,0.054-0.145,0.126-0.486h2.284    c0.423,0.63,1.106,0.972,1.871,0.972c0.989,0,1.799-0.558,2.141-1.385c0.639-1.313,1.062-3.939,1.062-6.988    c0-4.021-0.765-7.34-1.745-7.763c-0.423-0.342-0.891-0.477-1.457-0.477c-0.953,0-1.79,0.549-2.068,1.386h-2.159    c0-0.145-0.054-0.352-0.126-0.549l-6.439,0.063h-5.189h-6.225c-0.494,0-0.765,0.207-0.908,0.549h-5.046    c-0.071-0.127-0.071-0.271-0.071-0.342v-0.207h-0.072c0-0.063,0-0.063,0-0.145v-0.135h-0.414h-2.365l-3.742,1.943h-5.036    l-1.179-1.115h-5.261v1.115h-12.395c-0.081-0.145-0.279-0.351-0.495-0.558v-1.313v-0.072v-3.669c1.179-1.106,0-2.284,0-2.284    h-11.261c-0.917,1.24,0,2.284,0,2.284h0.072v2.077h-6.521v2.42h-6.224v1.188h-4.227l-15.785-4.029l-23.191,0.08v20.138    l23.191-0.071l15.785-4.012v0.072h4.227v7.475h-0.908v-1.106h-1.178v1.106h-2.555v-1.386h-17.018l0.045,2.771h7.277l-27.123,0.072    l-195.777,0.134h-1.521l-2.068-1.654h-5.756l-2.977,1.934v-0.135l-12.736,0.063c-1.718,4.434,0,9.345,0,9.345h11.513h1.223v0.071    l1.529,1.8h7.474l1.798-1.529l143.908-0.063c0,0.063,0,0.063,0,0.063c-0.414,2.779,0,14.191,0,14.191l14.688-0.071    c-0.152,0.287-0.197,0.558-0.197,0.836c0,1.251,1.232,2.222,2.752,2.222c1.529,0,2.707-0.971,2.707-2.222    c0-0.278-0.072-0.549-0.144-0.836h19.374h10.109h25.62l23.043,6.719v11l33.989,3.75v-11.504h1.87l0.828,5.964h1.385l-0.692-5.964    h1.331c0,0,2.213,5.137,5.604,5.271l10.038,0.071c0,0,7.321,0.486,8.778-4.021c0,0,2.212-0.692,2.697,2.006    c0.567,2.771,3.328,9.84,3.328,19.464c-0.081,3.525,13.374,1.438,13.374,1.438s3.445-3.795,11.343-4.074    c6.638-0.278,8.112-0.072,8.157-1.664c0.297-0.071,0.765-0.206,1.529-0.144c0,0-0.126,0.972,2.086,0.486    c2.213-0.414,14.041-12.251,18.124-12.323c4.011,0,17.512,0,17.512,0s0.423,0,0.494,0.289v0.27c0,0.827,0,3.391,0,3.391    s1.179-0.207,1.305,0.414h9.219l2.905,1.735v4.839c0,0-0.081,0.837,1.942,0.837c2.015-0.063,3.814-0.279,3.814,0.692l0.539,0.071    l3.661-0.144h8.112c0,0,5.954,2.698,7.951,2.563c0.414,0,0.639-0.135,0.711-0.351C480.048,296.293,478.941,283.35,478.374,268.743    z M40.118,249.092h-2.905c-0.953-2.428,0-5.612,0-5.612h2.905C41.179,246.385,40.118,249.092,40.118,249.092z M307.26,219.528    c-0.073,0.063-0.145,0.206-0.145,0.351h-4.623l-0.351-0.351H307.26z M259.9,248.327h-5.954l31.916-0.054L259.9,248.327z     M331.832,234.27h-28.998v-1.934v-0.207h4.209c0,0.145,0,0.27,0,0.27s-0.054,1.044,0.756,1.044c0.837,0,9.004,0,9.004,0h2.086    c0,0,0.692,0.071,0.692-0.899c0-0.072,0-0.207,0-0.414l12.251-0.072V234.27z M349.973,242.85h-0.071    c0-0.063-0.072-0.197-0.072-0.27C349.901,242.652,349.901,242.787,349.973,242.85z M359.669,272.962c0,3.058-2.51,5.54-5.486,5.54    h-9.615c-3.049,0-5.459-2.482-5.459-5.54v-0.828c0-2.968,2.41-5.469,5.459-5.469h6.44c4.425,6.44-1.871,9.283-1.943,9.697    c-0.071,0.341,0.962,0.27,0.962,0.27c3.274-1.17,3.958-4.561,3.732-6.917c-0.188-2.284-1.294-2.977-1.376-3.05h1.728    c3.049,0,5.559,2.43,5.559,5.469V272.962z M398.083,276.02c-0.351,1.025-1.034,2.141-2.096,3.319    c-1.034,0.972-1.916,1.447-1.916,1.447s-0.368,0.288-0.297,0.837l-0.341,0.207c0,0-10.38,3.247-15.569-4.641    c-5.19-7.96-1.673-12.251,3.67-12.736c0.683-0.216,0.826-0.414,0.826-1.17h1.602c0,0-0.072,1.728,1.106,1.728    c1.106,0,6.917,0.063,6.917,0.063v0.692c0,0,5.945,2.636,6.367,7.617C398.425,274.347,398.281,275.256,398.083,276.02z"/></svg>
                <span class="helpbox"><?= $translations->skins->categories->sniper_rifles; ?></span>
            </button></li>
            <li><button data-action="category" data-category="shotguns" <?= $weapon_type_select['shotguns']; ?>>
                <svg viewBox="0 -33.5 99 99" style="transform: scale(1.5) rotate(10deg) scaleX(-1);"><path d="M94.272 4.384h0.608v2.816h-0.512v2.848h-0.416v3.552h-0.416v1.152h-3.648l-0.32 0.352h-3.904l-0.16 0.832-0.192 0.416-0.352 0.16h-0.64l-0.64-0.128h-20.384l-0.736-0.128-0.128-0.384 0.288-0.416 0.416-0.64h-21.888l-0.192 0.48-0.064 0.512 0.064 0.48 0.064 0.416 0.224 0.416-0.256 0.256-0.512-0.48-0.384-0.768-0.224-0.8-0.032-0.608h-0.928l-0.192 0.576-0.192 0.672-0.096 0.672 0.032 0.512 0.448 0.384 0.512 0.256 0.16 0.256-0.032 0.352-0.224 0.352-0.48 0.16-0.736 0.128-0.352 0.192-0.288 0.288-0.32 0.608-0.096 0.48v0.576l-0.192 0.512-0.256 0.448-0.416 0.544-1.472 3.648 0.48 0.512v0.448l-0.576 0.608h-4.8l-0.832-0.224-0.032-0.736 0.128-0.288-0.224-0.864 0.256-1.952 0.704-2.208 0.896-1.888 1.056-1.568 0.672-0.672 0.416-0.48 0.224-0.672-0.064-0.512-0.384-0.672-0.64-0.48-0.64-0.256-0.896-0.16h-4.64l-0.32-0.16-0.928-0.864v-0.352h-0.256l-0.32 0.16-0.608 0.256-16.512 3.68-0.352 0.256-1.888 0.448-0.384-0.096-0.128-0.384-0.096-1.152 0.288-2.976 0.096-2.976-0.128-3.168-0.064-1.664 0.096-0.608 0.256-0.352 0.384-0.16 1.376-0.064h0.8l0.384 0.416 0.384-0.416h12.032l0.832 0.096 0.928 0.288 1.024 0.416 0.736 0.48 0.544 0.288 0.32 0.352 0.224-0.256h2.688l0.192-0.096 0.256-0.16 2.208-1.888 0.928-0.256h0.704l0.544-0.576h11.136l0.32 0.32 0.736 0.768h10.592l0.416-0.416h20.736l0.512 0.544h5.024l0.576-0.608h9.92v-0.608h0.96v1.024h0.64z"></path></svg>
                <span class="helpbox"><?= $translations->skins->categories->shotguns; ?></span>
            </button></li>
            <li><button data-action="category" data-category="mvp" <?= $weapon_type_select['mvp']; ?>>
                <svg viewBox="0 0 279 236">
                    <path d="M116 0.615387C52.3943 0.615387 0.615387 52.3462 0.615387 116C0.615387 179.606 52.3943 231.385 116 231.385C132.136 231.385 147.506 228.057 161.462 222.053C156.259 220.288 152.5 215.37 152.5 209.602C152.5 202.357 158.43 196.453 165.7 196.453V196.479H169.077C181.406 196.479 181.395 194.498 181.376 191.156L181.376 191.016C181.375 190.93 181.375 190.843 181.375 190.755V126.277V126.225V126.173C181.626 122.536 184.683 119.216 188.125 118.161C188.492 106.229 185.858 94.3163 180.293 83.3541C171.562 66.1586 156.688 53.3999 138.408 47.4302L141.394 38.289C175.926 49.567 197.873 81.795 197.759 116.308L231.229 109.968C228.084 49.1099 177.631 0.615387 116 0.615387ZM90.6461 193.675C47.8088 179.682 24.3384 133.448 38.3272 90.6079L47.4684 93.5939C35.1228 131.391 55.8325 172.188 93.6321 184.534L90.6461 193.675ZM116 144.846C100.135 144.846 87.1538 131.865 87.1538 116C87.1538 100.087 100.135 87.1538 116 87.1538C131.913 87.1538 144.846 100.087 144.846 116C144.846 131.865 131.913 144.846 116 144.846Z"/>
                    <path d="M184.8 201.476C177.75 201.476 172 207.335 172 214.525C172 221.715 177.75 227.574 184.8 227.574H194.1C197.925 227.574 201.325 225.834 203.675 223.122C203.7 223.096 203.75 223.096 203.775 223.071C203.925 222.917 204.025 222.687 204.15 222.533C204.475 222.124 204.775 221.715 205.025 221.254C207.4 217.621 208.525 212.836 208.525 209.178C208.525 204.879 208.525 158.696 208.525 158.696C208.525 158.543 208.525 158.415 208.525 158.262C208.525 158.134 208.525 157.98 208.525 157.852C208.725 154.219 211.325 151.277 214.8 150.458C215.225 150.355 216.15 150.151 216.15 150.151L253.625 142.884C253.8 142.859 253.95 142.833 254.125 142.808C254.325 142.782 254.5 142.782 254.725 142.782C257.75 142.782 260 145.213 260 148.206C260 148.206 260 175.276 260 181.826C260 188.351 260.725 189.988 249.875 189.988H244.85C237.775 189.988 232.05 195.847 232.05 203.037C232.05 210.227 237.775 216.086 244.85 216.086H254.15C258.7 216.086 262.675 213.681 264.95 210.047C264.95 210.022 264.975 210.047 265 210.047C267.25 206.926 267.975 202.218 267.975 195.898C267.975 189.553 267.975 118.424 267.975 118.424C267.975 115.431 265.5 113 262.475 113C262.3 113 262.125 113.026 261.975 113.026L261.2 113.154L206.825 123.695C203.375 124.642 200.25 128.019 200 131.729C200 131.754 200 131.754 200 131.78C200 131.806 200 131.806 200 131.831C200 131.831 200 192.265 200 195.822C200 199.378 200.5 201.502 188.075 201.502H184.8V201.476Z"/>
                </svg>
                <span class="helpbox"><?= $translations->skins->categories->mvp; ?></span>
            </button></li>
            <h2><?= $choose_translate; ?></h2>
        </ul>
    </header>
    <?php
    }
    ?>

    <div class="container" <?= $Website_UseCategories ? 'style="margin-top: 100px;"':'' ?>>
        <div class="choose">
            <ul>
                
                <?php
                // Player Skins
                $state = $pdo->prepare("SELECT * FROM `wp_player_skins` WHERE `steamid` = ?");
                $state->execute([$_SESSION['steamid']]);
                $results = $state->fetchAll();
                
                $state = $pdo->prepare("SELECT * FROM `wp_player_knife` WHERE `steamid` = ?");
                $state->execute([$_SESSION['steamid']]);
                $savedknifes = $state->fetchAll();

                $knife_t = false;
                $knife_ct = false;
                foreach($savedknifes as $saved) {
                    if($saved['weapon_team'] == 1) {
                        $knife_t = $saved;
                    }
                    if($saved['weapon_team'] == 2) {
                        $knife_ct = $saved;
                    }
                }

                $savedskins = [];
                $savedskins_info = [];
                foreach($results as $saved) {
                    if(!isset($savedskins[$saved['weapon_defindex']])) {
                        $savedskins[$saved['weapon_defindex']] = [];
                        $savedskins_info[$saved['weapon_defindex']] = [];
                    }
                    
                    array_push($savedskins[$saved['weapon_defindex']], $saved);
                    if(GetWeaponType($saved['weapon_defindex']) == 'gloves') {
                        foreach($gloves as $glove){
                            if($glove->weapon_defindex == $saved['weapon_defindex'] && $glove->paint == $saved['weapon_paint_id']) {
                                array_push($savedskins_info[$saved['weapon_defindex']], $glove);
                                break;
                            }
                        }
                    }else {
                        foreach($full_skins as $skin){
                            if($skin->weapon_defindex == $saved['weapon_defindex'] && $skin->paint == $saved['weapon_paint_id']) {
                                array_push($savedskins_info[$saved['weapon_defindex']], $skin);
                                break;
                            }
                        }
                    }
                }


                $shownskins = [];
                foreach($full_skins as $skin) {
                    if(in_array($skin->weapon_name, $shownskins)
                    || $Website_UseCategories && isset($_SESSION['category']) && GetWeaponType($skin->weapon_name) != $_SESSION['category']) {continue;}
                    array_push($shownskins, $skin->weapon_name);

                    if(isset($savedskins[$skin->weapon_defindex])) {
                        ?>
                        <li>
                            <button class='card <?= $skin->weapon_name == $knife_t['knife'] || $skin->weapon_name == $knife_ct['knife']?'selected':''; ?>' data-action='weapon_picked' data-weapon='<?= $skin->weapon_name; ?>'>
                                <div class="imgbox">
                                    <?php
                                    foreach($savedskins_info[$skin->weapon_defindex] as $saved) {
                                    ?>
                                    <img src="<?= $saved->image; ?>" loading='lazy'>
                                    <?php
                                    }
                                    ?>
                                </div>
                                <span><?= explode(' | ', $skin->paint_name)[0]; ?></span>
                                <div class="marks">
                                    <?php
                                    foreach($savedskins[$skin->weapon_defindex] as $saved) {
                                    if($saved['weapon_team'] == 1) {
                                    ?>
                                    <input type="radio" name="marks_<?= $skin->weapon_name; ?>" class="terrormark" oninput="ChangePreviewImage(this);" checked>
                                    <?php
                                    }else if($saved['weapon_team'] == 2) {
                                    ?>
                                    <input type="radio" name="marks_<?= $skin->weapon_name; ?>" class="counterterrormark" oninput="ChangePreviewImage(this);" <?= count($savedskins[$skin->weapon_defindex])<2?'checked':''; ?>>
                                    <?php
                                    }
                                    }
                                    ?>
                                </div>
                            </button>
                        </li>
                        <?php
                        continue;
                    }
                    
                    ?>
                    <li>
                        <button class='card <?= !$knife_t && $skin->weapon_name == 'weapon_knife_default' || !$knife_ct && $skin->weapon_name == 'weapon_knife_default'?'selected':''; ?>' data-action='weapon_picked' data-weapon='<?= $skin->weapon_name; ?>'>
                            <div class="imgbox">
                                <img src="<?= $skin->image; ?>" loading='lazy'>
                            </div>
                            <span><?= explode(' | ', $skin->paint_name)[0]; ?></span>
                            <div class="marks"></div>
                        </button>
                    </li>
                    <?php
                }

                ?>

                <?php
                // Gloves
                $showngloves = [];
                foreach($gloves as $glove) {
                    if(in_array($glove->weapon_defindex, $showngloves) ||
                    $Website_UseCategories && isset($_SESSION['category']) && $_SESSION['category'] != 'gloves') {continue;}
                    array_push($showngloves, $glove->weapon_defindex);

                    $state = $pdo->prepare("SELECT * FROM `wp_player_gloves` WHERE `steamid` = ?");
                    $state->execute([$_SESSION['steamid']]);
                    $savedgloves = $state->fetchAll();
                    $gloves_selected_t = false;
                    $gloves_selected_ct = false;

                    foreach($savedgloves as $glovesaved) {
                        if($glovesaved['weapon_team'] == 1) {
                            $gloves_selected_t = $glovesaved['weapon_defindex'];
                        }else if($glovesaved['weapon_team'] == 2) {
                            $gloves_selected_ct = $glovesaved['weapon_defindex'];
                        }
                    }

                    if(isset($savedskins[$glove->weapon_defindex])) {
                        ?>
                        <li>
                            <button class='card <?= $gloves_selected_t == $glove->weapon_defindex || $gloves_selected_ct == $glove->weapon_defindex?'selected':''; ?>' data-action='weapon_picked' data-weapon='<?= $glove->weapon_defindex; ?>'>
                                <div class="imgbox">
                                    <?php
                                    foreach($savedskins_info[$glove->weapon_defindex] as $saved) {
                                    ?>
                                    <img src="<?= $saved->image; ?>" loading='lazy'>
                                    <?php
                                    }
                                    ?>
                                </div>
                                <span><?= explode(' | ', $glove->paint_name)[0]; ?></span>
                                <div class="marks">
                                    <?php
                                    foreach($savedskins[$glove->weapon_defindex] as $saved) {
                                    if($saved['weapon_team'] == 1) {
                                    ?>
                                    <input type="radio" name="marks_<?= $glove->weapon_defindex; ?>" class="terrormark" oninput="ChangePreviewImage(this);" checked>
                                    <?php
                                    }else if($saved['weapon_team'] == 2) {
                                    ?>
                                    <input type="radio" name="marks_<?= $glove->weapon_defindex; ?>" class="counterterrormark" oninput="ChangePreviewImage(this);" <?= count($savedskins[$glove->weapon_defindex])<2?'checked':''; ?>>
                                    <?php
                                    }
                                    }
                                    ?>
                                </div>
                            </button>
                        </li>
                        <?php
                        continue;
                    }

                    ?>
                    <li>
                        <button class='card <?= !$gloves_selected_ct && $glove->weapon_defindex == 'gloves_default' || !$gloves_selected_t && $glove->weapon_defindex == 'gloves_default'?'selected':''; ?>' data-action='weapon_picked' data-weapon='<?= $glove->weapon_defindex; ?>'>
                            <div class="imgbox">
                                <img src="<?= $glove->image; ?>" loading='lazy'>
                            </div>
                            <span><?= explode(' | ', $glove->paint_name)[0]; ?></span>
                            <div class="marks">
                                <?php
                                if($glove->weapon_defindex == 'gloves_default') {
                                    if(!$gloves_selected_t) {
                                        ?>
                                        <input type="radio" name="marks_<?= $glove->weapon_defindex; ?>" class="terrormark" checked>
                                        <?php
                                    }
                                    if(!$gloves_selected_ct) {
                                        ?>
                                        <input type="radio" name="marks_<?= $glove->weapon_defindex; ?>" class="counterterrormark" <?= $gloves_selected_t?'checked':''; ?>>
                                        <?php
                                    }
                                }
                                ?>
                            </div>
                        </button>
                    </li>
                    <?php
                }
                ?>

                <?php
                // Agents
                if(!$Website_UseCategories || !isset($_SESSION['category']) || $_SESSION['category'] == 'agents') {
                    $state = $pdo->prepare("SELECT * FROM `wp_player_agents` WHERE `steamid` = ?");
                    $state->execute([$_SESSION['steamid']]);
                    $savedagents = $state->fetch();

                    foreach($agents as $agent) {
                        if($savedagents && $savedagents['agent_t']) {
                            if($agent->team == 2 && $agent->model == $savedagents['agent_t']) {
                                ?>
                                <li>
                                    <button class='card' data-action='agent_picked' data-team='terrorist'>
                                        <div class="imgbox">
                                            <img src="<?= $agent->image; ?>" loading='lazy'>
                                        </div>
                                        <span><?= $translations->skins->categories->agents->t; ?></span>
                                    </button>
                                </li>
                                <?php
                            }
                        }else {
                            if($agent->team == 2 && $agent->model == 'default') {
                                ?>
                                <li>
                                    <button class='card' data-action='agent_picked' data-team='terrorist'>
                                        <div class="imgbox">
                                            <img src="<?= $agent->image; ?>" loading='lazy'>
                                        </div>
                                        <span><?= $translations->skins->categories->agents->t; ?></span>
                                    </button>
                                </li>
                                <?php
                            }
                        }

                        if($savedagents && $savedagents['agent_ct']) {
                            if($agent->team == 3 && $agent->model == $savedagents['agent_ct']) {
                                ?>
                                <li>
                                    <button class='card' data-action='agent_picked' data-team='counter-terrorist'>
                                        <div class="imgbox">
                                            <img src="<?= $agent->image; ?>" loading='lazy'>
                                        </div>
                                        <span><?= $translations->skins->categories->agents->ct; ?></span>
                                    </button>
                                </li>
                                <?php
                            }
                        }else {
                            if($agent->team == 3 && $agent->model == 'default') {
                                ?>
                                <li>
                                    <button class='card' data-action='agent_picked' data-team='counter-terrorist'>
                                        <div class="imgbox">
                                            <img src="<?= $agent->image; ?>" loading='lazy'>
                                        </div>
                                        <span><?= $translations->skins->categories->agents->ct; ?></span>
                                    </button>
                                </li>
                                <?php
                            }
                        }
                    }
                }
                ?>

                <?php
                // Music
                if(!$Website_UseCategories || !isset($_SESSION['category']) || $_SESSION['category'] == 'mvp') {
                $state = $pdo->prepare("SELECT * FROM `wp_player_music` WHERE `steamid` = ?");
                $state->execute([$_SESSION['steamid']]);
                $savedmusic = $state->fetchAll();

                $music_t = false;
                $music_ct = false;
                foreach($savedmusic as $saved) {
                    foreach($songs as $song) {
                        if($song->id == $saved['music_id']) {
                            if($saved['weapon_team'] == 1) {
                                $music_t = $song;
                            }else if($saved['weapon_team'] == 2) {
                                $music_ct = $song;
                            }
                            break;
                        }
                    }
                }

                if(count($savedmusic) > 0) {
                    ?>
                    <li>
                        <button class='card' data-action='weapon_picked' data-weapon='mvp'>
                            <div class="imgbox">
                                <?php
                                if($music_t) {
                                ?>
                                <img src="<?= $music_t->image; ?>">
                                <?php
                                }
                                if($music_ct) {
                                ?>
                                <img src="<?= $music_ct->image; ?>">
                                <?php
                                }
                                ?>
                            </div>
                            <span><?= $translations->skins->categories->mvp; ?></span>
                            <div class="marks">
                                <?php
                                if(count($savedmusic) > 1) {
                                ?>
                                <input type="radio" name="marks_music" class="terrormark" oninput="ChangePreviewImage(this);" checked>
                                <input type="radio" name="marks_music" class="counterterrormark" oninput="ChangePreviewImage(this);">
                                <?php
                                }
                                ?>
                            </div>
                        </button>
                    </li>
                    <?php
                }else {
                    ?>
                    <li>
                        <button class='card' data-action='weapon_picked' data-weapon='mvp'>
                            <div class="imgbox">
                                <img src="<?= $songs[0]->image; ?>" loading='lazy'>
                            </div>
                            <span><?= $translations->skins->categories->mvp; ?></span>
                        </button>
                    </li>
                    <?php
                }
                }
                ?>

            </ul>
        </div>
    </div>
</div>

<footer>
    <div class="wrapper">
        <a class="info" href="https://steamcommunity.com/profiles/<?= $_SESSION['steamid']; ?>" target="_blank">
            <img src="<?= $UserInfo->avatarfull ?>" alt="name">
            <p><?= str_replace('{{name}}', "<strong>$UserInfo->personaname</strong>", $translations->skins->footer->signedin); ?></p>
        </a>
        <div class="credit">
            <p>This website created by LielXD</p>
        </div>
        <div class="actions">
            <div class="settings">
                <svg viewBox="0 0 48 48" data-action="toggle_menu"><path d="M0 0h48v48H0z" fill="none"/><path d="M38.86 25.95c.08-.64.14-1.29.14-1.95s-.06-1.31-.14-1.95l4.23-3.31c.38-.3.49-.84.24-1.28l-4-6.93c-.25-.43-.77-.61-1.22-.43l-4.98 2.01c-1.03-.79-2.16-1.46-3.38-1.97L29 4.84c-.09-.47-.5-.84-1-.84h-8c-.5 0-.91.37-.99.84l-.75 5.3c-1.22.51-2.35 1.17-3.38 1.97L9.9 10.1c-.45-.17-.97 0-1.22.43l-4 6.93c-.25.43-.14.97.24 1.28l4.22 3.31C9.06 22.69 9 23.34 9 24s.06 1.31.14 1.95l-4.22 3.31c-.38.3-.49.84-.24 1.28l4 6.93c.25.43.77.61 1.22.43l4.98-2.01c1.03.79 2.16 1.46 3.38 1.97l.75 5.3c.08.47.49.84.99.84h8c.5 0 .91-.37.99-.84l.75-5.3c1.22-.51 2.35-1.17 3.38-1.97l4.98 2.01c.45.17.97 0 1.22-.43l4-6.93c.25-.43.14-.97-.24-1.28l-4.22-3.31zM24 31c-3.87 0-7-3.13-7-7s3.13-7 7-7 7 3.13 7 7-3.13 7-7 7z"/></svg>
                <div class="items">
                    <ul>
                        <?php
                        if($Website_Settings['language']) {
                        ?>
                        <button data-action="language_select" data-langs='<?= json_encode($langs); ?>'>
                            <svg viewBox="0 0 20 20"><path d="M10,0 C4.5,0 0,4.5 0,10 C0,15.5 4.5,20 10,20 C15.5,20 20,15.5 20,10 C20,4.5 15.5,0 10,0 L10,0 Z M16.9,6 L14,6 C13.7,4.7 13.2,3.6 12.6,2.4 C14.4,3.1 16,4.3 16.9,6 L16.9,6 Z M10,2 C10.8,3.2 11.5,4.5 11.9,6 L8.1,6 C8.5,4.6 9.2,3.2 10,2 L10,2 Z M2.3,12 C2.1,11.4 2,10.7 2,10 C2,9.3 2.1,8.6 2.3,8 L5.7,8 C5.6,8.7 5.6,9.3 5.6,10 C5.6,10.7 5.7,11.3 5.7,12 L2.3,12 L2.3,12 Z M3.1,14 L6,14 C6.3,15.3 6.8,16.4 7.4,17.6 C5.6,16.9 4,15.7 3.1,14 L3.1,14 Z M6,6 L3.1,6 C4.1,4.3 5.6,3.1 7.4,2.4 C6.8,3.6 6.3,4.7 6,6 L6,6 Z M10,18 C9.2,16.8 8.5,15.5 8.1,14 L11.9,14 C11.5,15.4 10.8,16.8 10,18 L10,18 Z M12.3,12 L7.7,12 C7.6,11.3 7.5,10.7 7.5,10 C7.5,9.3 7.6,8.7 7.7,8 L12.4,8 C12.5,8.7 12.6,9.3 12.6,10 C12.6,10.7 12.4,11.3 12.3,12 L12.3,12 Z M12.6,17.6 C13.2,16.5 13.7,15.3 14,14 L16.9,14 C16,15.7 14.4,16.9 12.6,17.6 L12.6,17.6 Z M14.4,12 C14.5,11.3 14.5,10.7 14.5,10 C14.5,9.3 14.4,8.7 14.4,8 L17.8,8 C18,8.6 18.1,9.3 18.1,10 C18.1,10.7 18,11.4 17.8,12 L14.4,12 L14.4,12 Z"/></svg>
                            <div>
                                <span><?= $translations->skins->footer->settings->language ?></span>
                                <svg viewBox="0 0 512 512"><polygon points="160,115.4 180.7,96 352,256 180.7,416 160,396.7 310.5,256 "/></svg>
                            </div>
                        </button>
                        <?php
                        }
                        if($Website_Settings['theme']) {
                        ?>
                        <button data-action="color_select" data-translations='<?= json_encode($translations->skins->footer->settings->theme); ?>'>
                            <svg viewBox="0 0 20 20"><path d="M9 20v-1.7l.01-.24L15.07 12h2.94c1.1 0 1.99.89 1.99 2v4a2 2 0 0 1-2 2H9zm0-3.34V5.34l2.08-2.07a1.99 1.99 0 0 1 2.82 0l2.83 2.83a2 2 0 0 1 0 2.82L9 16.66zM0 1.99C0 .9.89 0 2 0h4a2 2 0 0 1 2 2v16a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V2zM4 17a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"/></svg>
                            <div>
                                <span><?= $translations->skins->footer->settings->theme->label ?></span>
                                <svg viewBox="0 0 512 512"><polygon points="160,115.4 180.7,96 352,256 180.7,416 160,396.7 310.5,256 "/></svg>
                            </div>
                        </button>
                        <?php
                        }
                        ?>
                    </ul>
                </div>
            </div>
            <button class="main-btn" onclick="ToggleLoading();location.href='<?= GetPrefix(); ?>signout';"><?= $translations->skins->footer->sign_out ?>
                <svg viewBox="0 0 24 24"><path d="M12,10c1.1,0,2-0.9,2-2V4c0-1.1-0.9-2-2-2s-2,0.9-2,2v4C10,9.1,10.9,10,12,10z"/><path d="M19.1,4.9L19.1,4.9c-0.3-0.3-0.6-0.4-1.1-0.4c-0.8,0-1.5,0.7-1.5,1.5c0,0.4,0.2,0.8,0.4,1.1l0,0c0,0,0,0,0,0c0,0,0,0,0,0    c1.3,1.3,2,3,2,4.9c0,3.9-3.1,7-7,7s-7-3.1-7-7c0-1.9,0.8-3.7,2.1-4.9l0,0C7.3,6.8,7.5,6.4,7.5,6c0-0.8-0.7-1.5-1.5-1.5    c-0.4,0-0.8,0.2-1.1,0.4l0,0C3.1,6.7,2,9.2,2,12c0,5.5,4.5,10,10,10s10-4.5,10-10C22,9.2,20.9,6.7,19.1,4.9z"/></svg>
            </button>
        </div>
    </div>
</footer>

</body>
</html>